Bug 57128 - rc.sysinit hangs after rebuilding kernel
rc.sysinit hangs after rebuilding kernel
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-05 10:03 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:18:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel configuration file (17.09 KB, text/plain)
2001-12-05 10:04 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-12-05 10:03:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
Hi,

I've compiled on my RH 7.2 box (Pentium 133, 128 Mo RAM) a new kernel 
using the following sequence :

* cd /usr/src/linux-2.4
* make menuconfig
* make dep
* make clean
* modifiying Makefile EXTRAVERSION = -051201
* make bzImage
* make modules
* make modules_install
* make install
* adding lines to lilo.conf for the new kernel + /sbin/lilo -v
* reboot

Hereafter is my .config

When rebooting with the new kernel the system hangs during boot just after 
the "Press 'I' to enter interactive startup." message.

Version-Release number of selected component (if applicable):


How reproducible:
Always : I've tried 4 times using different .config

Steps to Reproduce:
1.Building a new kernel with the sequence described above
2.Rebooting on the new kernel
3.
	

Actual Results:  The system hangs during the boot sequence at the 
rc.sysinit level just after the "Press 'I' to enter interactive startup." 
message.

Expected Results:  Normal boot sequence

Additional info:

No error message, neither during new kernel building nor boot sequence 
until system hangs.

ls -l /boot (after installing new kernel 2.4.7-051201) :

-rw-r--r--    1 root     root          512 nov 23 19:59 boot.1600
-rw-r--r--    1 root     root         5824 jun 25 04:42 boot.b
-rw-r--r--    1 root     root          612 jun 25 04:42 chain.b
drwxr-xr-x    2 root     root         1024 nov 23 19:59 grub
-rw-r--r--    1 root     root       262736 dic  4 21:24 initrd-2.4.7-
041201.img
-rw-r--r--    1 root     root       328028 nov 23 19:19 initrd-2.4.7-10.img
lrwxrwxrwx    1 root     root           14 nov 23 19:19 kernel.h -> 
kernel.h-2.4.7
-rw-r--r--    1 root     root          405 nov 23 19:23 kernel.h-2.4.7
drwxr-xr-x    2 root     root        12288 nov 23 19:08 lost+found
-rw-------    1 root     root        27648 dic  5 16:06 map
-rw-r--r--    1 root     root        23108 jun 25 04:42 message
lrwxrwxrwx    1 root     root           20 nov 23 19:19 module-info -> 
module-info-2.4.7-10
-rw-r--r--    1 root     root        13598 sep  6 23:34 module-info-2.4.7-
10
-rw-r--r--    1 root     root          640 jun 25 04:42 os2_d.b
lrwxrwxrwx    1 root     root           19 dic  5 16:14 System.map -> 
System.map-2.4.7-10
-rw-r--r--    1 root     root       496357 dic  5 16:04 System.map-2.4.7-
051201
-rw-r--r--    1 root     root       441284 sep  6 23:34 System.map-2.4.7-10
lrwxrwxrwx    1 root     root           20 dic  5 16:04 vmlinuz -> vmlinuz-
2.4.7-051201
-rw-r--r--    1 root     root      1078648 dic  5 16:04 vmlinuz-2.4.7-
051201
-rw-r--r--    1 root     root       804083 sep  6 23:34 vmlinuz-2.4.7-10


My .config for the new kernel is joined as attachment.

Thanks for your help.

Ivan.
Comment 1 Need Real Name 2001-12-05 10:04:10 EST
Created attachment 39727 [details]
Kernel configuration file
Comment 2 Bill Nottingham 2001-12-05 11:12:34 EST
Did you have ext3 filesystems?
Comment 3 Need Real Name 2001-12-05 11:40:15 EST
My former kernel (before recompiling) is the one provided by RH 7.2 (in the 
package kernel-2.4.7-10). I don't know whether ext3 filesystems are activated 
in this version (and how to check this). In the new kernel I try to make work, 
I specified to NOT include ext3 filesystems support.

Best regards.

Ivan.
Comment 4 Bill Nottingham 2001-12-05 12:41:25 EST
No, I mean, do you have any ext3 filesystems on your computer (if so, you may
need ext3 support in the kernel).

What does /proc/mounts say?
Comment 5 Need Real Name 2001-12-05 12:54:15 EST
Yes, you'right !

I'm going to re-try with ext3 support included and take you aware of the result.

Ivan.
Comment 6 Need Real Name 2001-12-05 13:02:16 EST
cat /proc/mounts

/dev/root / ext3 rw 0 0
/proc /proc proc rw 0 0
/dev/hdc1 /boot ext3 rw 0 0
none /dev/pts devpts rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/hdc2 /var ext3 rw 0 0
Comment 7 Need Real Name 2001-12-06 03:56:16 EST
Unfortunately, the result is still the same : boot hangs juste after 
the "Press 'I' to enter interactive startup" message. Some information messages 
before seem to indicate that the ext3 support is ok :

"EXT3-fs : filesystem mounted with ordered data mode"
"VFS : Mounted root (ext3 filesystem) read-only"

Comment 8 Bill Nottingham 2001-12-06 10:14:04 EST
Hm, notsure off the top of my head. Assigning to kernel for the moment.
Comment 9 Alan Cox 2003-06-07 19:18:33 EDT
End user kernel

Note You need to log in before you can comment on or make changes to this bug.